## xalan 1.8

=== c/Projects/Win32/Makefile ===
#
# Copyright 1999-2004 The Apache Software Foundation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


################################################################################################
###
###	 The makefile will create binary packages based on VC6, VC7, Win32 or Win64 builds
###
###	 Usage:
###		nmake [prefix=[path]] [BITS=32*|64] [IDE_VER=VC6*|VC7] [INSTALL_MODE=Debug|Release|Both*] [PACKAGE_NAME=<desirable_package_name>][<make_file_target>]
###
###	 Parameters:
###	 	The Makefile reads next environmental variables:
###	 		XALANCROOT : a regular Xalan-C root, describing location of the built sources. ".\..\.." is a default value
###	 		DESTDIR : destination location on the built binary package. Default is $(XALANCROOT)
###	 		 
###	 		Command line parameters:
###				"prefix" Path provided for prefix should be a relative path and it's appended to $(DESTDIR) 
###	 		 	Virtually all macros in the makefile or in tools.ini file can be redefined from the command line .
###	 		 	For default values see tools.ini file
###
################################################################################################

# =================== Check parameters ans set variables ==========================================

!IFNDEF XALANCROOT
XALANCROOT=.\..\..
!ENDIF

!INCLUDE $(XALANCROOT)\version.incl

!IF "$(PROJECT_NAME)"!="xalan-c" && "$(ICUROOT)x" == "x"
!	ERROR ICUROOT sould be defined
!ENDIF

!IF "$(INSTALL_MODE)"=="Both"
!UNDEF INSTALL_MODE
INSTALL_MODE=Release
BUILD_DEBUG=build_debug
!ENDIF

!IF "$(PROJECT_NAME)"=="xalan-c"
MSGLIB_PREFIX=XalanMessages
!ELSE
MSGLIB_PREFIX=xslt4cMessages
!ENDIF


!IF "$(PROJECT_NAME)"!="xalan-c" 
ICUTARGET=icu

!	IF "$(INSTALL_MODE)"=="Debug"
ICULIB_DLL=$(ICUROOT)\bin\icuin??d.dll
!	ELSEIF "$(INSTALL_MODE)"=="Release"
ICULIB_DLL=$(ICUROOT)\bin\icuin??.dll
!	ENDIF

!ELSE
ICUTARGET=
!ENDIF

!IFNDEF DESTDIR
DESTDIR=$(XALANCROOT)
!ENDIF 

!IF "$(prefix)x" != "x"
ZIP_DIR=$(DESTDIR)\$(prefix)
!ELSE
ZIP_DIR=$(DESTDIR)
!ENDIF

XSL_BIN_DEST=$(ZIP_DIR)\$(PACKAGE_NAME)


!IF "$(INSTALL_MODE)"=="Debug"
BIN_SRC_DIR=$(XALANCROOT)\Build\$(BITS)\$(IDE_VER)\Debug
XALAN_DLL=$(XSLT_DLL_NAME)D.dll
XALAN_LIB=$(PROJECT_NAME)_1D.lib
MSG_DLL=$(MSGLIB_DLL_NAME)D.dll
!ELSEIF "$(INSTALL_MODE)"=="Release"
BIN_SRC_DIR=$(XALANCROOT)\Build\$(BITS)\$(IDE_VER)\Release
XALAN_DLL=$(XSLT_DLL_NAME).dll
XALAN_LIB=$(PROJECT_NAME)_1.lib	
MSG_DLL=$(MSGLIB_DLL_NAME).dll
!ENDIF

!IF "$(XALANCROOT)" != "$(XSL_BIN_DEST)"
SAME_LOCATION=different_location
!ENDIF


ALL_SAMPLES =  $(XSL_BIN_DEST)\bin\CompileStylesheet.exe \
                  $(XSL_BIN_DEST)\bin\DocumentBuilder.exe \
                  $(XSL_BIN_DEST)\bin\ExternalFunction.exe \
                  $(XSL_BIN_DEST)\bin\ParsedSourceWrappers.exe \
                  $(XSL_BIN_DEST)\bin\SerializeNodeSet.exe \
                  $(XSL_BIN_DEST)\bin\SimpleTransform.exe \
                  $(XSL_BIN_DEST)\bin\SimpleXPathAPI.exe \
                  $(XSL_BIN_DEST)\bin\SimpleXPathCAPI.exe \
                  $(XSL_BIN_DEST)\bin\StreamTransform.exe \
                  $(XSL_BIN_DEST)\bin\TraceListen.exe \
                  $(XSL_BIN_DEST)\bin\TransformToXercesDOM.exe \
                  $(XSL_BIN_DEST)\bin\UseStylesheetParam.exe \
                  $(XSL_BIN_DEST)\bin\XalanTransform.exe \
                  $(XSL_BIN_DEST)\bin\XalanTransformerCallback.exe \
                  $(XSL_BIN_DEST)\bin\XPathWrapper.exe \
				  $(XSL_BIN_DEST)\bin\ThreadSafe.exe \
				  $(XSL_BIN_DEST)\bin\Xalan.exe

SAMPLES_DIRS= $(XSL_BIN_DEST)\samples\ApacheModuleXSLT 			\
				$(XSL_BIN_DEST)\samples\CompileStylesheet 		\
				$(XSL_BIN_DEST)\samples\ExternalFunction 		\
				$(XSL_BIN_DEST)\samples\DocumentBuilder 		\
				$(XSL_BIN_DEST)\samples\ParsedSourceWrappers 	\
				$(XSL_BIN_DEST)\samples\SerializeNodeSet 		\
				$(XSL_BIN_DEST)\samples\SimpleTransform 		\
				$(XSL_BIN_DEST)\samples\SimpleXPathAPI 			\
				$(XSL_BIN_DEST)\samples\SimpleXPathCAPI 		\
				$(XSL_BIN_DEST)\samples\StreamTransform 		\
				$(XSL_BIN_DEST)\samples\TraceListen 			\
				$(XSL_BIN_DEST)\samples\TransformToXercesDOM 	\
				$(XSL_BIN_DEST)\samples\UseStylesheetParam 		\
				$(XSL_BIN_DEST)\samples\XalanTransform 			\
				$(XSL_BIN_DEST)\samples\XalanTransformerCallback \
				$(XSL_BIN_DEST)\samples\XPathWrapper 			\
				$(XSL_BIN_DEST)\samples\ThreadSafe 							

SAMPLE_PROJ= $(XSL_BIN_DEST)\samples\Projects

# =================== End of check parameters  ===================================



install: libs include $(SAME_LOCATION) $(BUILD_DEBUG)
	
prepare: $(XSL_BIN_DEST)\bin $(XSL_BIN_DEST)\lib $(XSL_BIN_DEST)\include $(XSL_BIN_DEST)\samples
	
$(XSL_BIN_DEST)\bin $(XSL_BIN_DEST)\lib $(XSL_BIN_DEST)\include $(XSL_BIN_DEST)\samples:
	$(MKDIR) $@ 
	
libs: prepare $(XSL_BIN_DEST)\bin\$(XALAN_DLL) $(XSL_BIN_DEST)\lib\$(XALAN_LIB) $(XSL_BIN_DEST)\bin\$(MSG_DLL) $(ICUTARGET)

$(XSL_BIN_DEST)\bin\$(XALAN_DLL) $(XSL_BIN_DEST)\bin\$(MSG_DLL) $(XSL_BIN_DEST)\lib\$(XALAN_LIB): $(BIN_SRC_DIR)\$(@F)
	$(COPY) $(BIN_SRC_DIR)\$(@F) $(@D)

include: prepare $(XSL_BIN_DEST)\include\xalanc\Include\XalanVersion.hpp

		
$(XSL_BIN_DEST)\include\xalanc\Include\XalanVersion.hpp: $(XALANCROOT)\src\xalanc\Include\XalanVersion.hpp
	$(COPY) $(XALANCROOT)\src\xalanc\DOMSupport\*.h* 		$(XSL_BIN_DEST)\include\xalanc\DOMSupport
	$(COPY) $(XALANCROOT)\src\xalanc\ICUBridge\*.h* 		$(XSL_BIN_DEST)\include\xalanc\\ICUBridge
	$(COPY) $(XALANCROOT)\src\xalanc\Include\*.h* 		$(XSL_BIN_DEST)\include\xalanc\Include
	$(COPY) $(XALANCROOT)\src\xalanc\PlatformSupport\*.h* 		$(XSL_BIN_DEST)\include\xalanc\PlatformSupport
	$(COPY) $(XALANCROOT)\src\xalanc\TestXPath\*.h* 		$(XSL_BIN_DEST)\include\xalanc\TestXPath
	$(COPY) $(XALANCROOT)\src\xalanc\TestXSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\TestXSLT
	$(COPY) $(XALANCROOT)\src\xalanc\XalanDOM\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanDOM
	$(COPY) $(XALANCROOT)\src\xalanc\XalanExe\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanExe
	$(COPY) $(XALANCROOT)\src\xalanc\XalanEXSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanEXSLT
	$(COPY) $(XALANCROOT)\src\xalanc\XalanExtensions\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanExtensions
	$(COPY) $(XALANCROOT)\src\xalanc\XalanSourceTree\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanSourceTree
	$(COPY) $(XALANCROOT)\src\xalanc\XalanTransformer\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanTransformer
	$(COPY) $(XALANCROOT)\src\xalanc\XercesParserLiaison\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XercesParserLiaison
	$(COPY) $(XALANCROOT)\src\xalanc\XMLSupport\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XMLSupport
	$(COPY) $(XALANCROOT)\src\xalanc\XPath\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPath
	$(COPY) $(XALANCROOT)\src\xalanc\XPathCAPI\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPathCAPI
	$(COPY) $(XALANCROOT)\src\xalanc\XSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XSLT
		
icu:
	$(COPY) $(ICULIB_DLL) $(XSL_BIN_DEST)\bin

different_location: samples install-extras

samples: prepare $(ALL_SAMPLES) $(SAMPLES_DIRS) $(SAMPLE_PROJ)

$(SAMPLES_DIRS) : $(XALANCROOT)\samples\$(@F)
	$(MKDIR) $@
	$(COPY) $?\* $@
	-$(RMDIR) $@\CVS
	
$(SAMPLE_PROJ) : $(XALANCROOT)\samples\$(@F)
		$(MKDIR) $@\Win32\$(IDE_VER) 
		$(COPY) $?\Win32\$(IDE_VER) $@\Win32\$(IDE_VER) 
		-$(RMDIR) $@\Win32\$(IDE_VER)\CVS
		
$(ALL_SAMPLES): $(BIN_SRC_DIR)\$(@F)
	$(COPY) $? $(@D)
	
!IF "$(PROJECT_NAME)"!="xalan-c" 
install-extras:		$(XSL_BIN_DEST)\readme.html $(XSL_BIN_DEST)\LICENSE $(XSL_BIN_DEST)\License.html $(XSL_BIN_DEST)\license.html $(XSL_BIN_DEST)\XLicense.html $(XSL_BIN_DEST)\NOTICE
!ELSE
install-extras:		$(XSL_BIN_DEST)\readme.html $(XSL_BIN_DEST)\LICENSE $(XSL_BIN_DEST)\KEYS  $(XSL_BIN_DEST)\NOTICE
!ENDIF

$(XSL_BIN_DEST)\readme.html $(XSL_BIN_DEST)\KEYS $(XSL_BIN_DEST)\License.html $(XSL_BIN_DEST)\LICENSE $(XSL_BIN_DEST)\XLicense.html $(XSL_BIN_DEST)\NOTICE  : $(XALANCROOT)\$(@F)
	$(FILECOPY) $(XALANCROOT)\$(@F) $(@D)
	
zip: install 
	$(ZIP) $(ZIP_DIR)\$(PACKAGE_NAME).zip  $(ZIP_DIR)
	
	
clean:
	-$(RMDIR) $(ZIP_DIR)

	
build_debug:
	$(MAKE) XALANCROOT=$(XALANCROOT) prefix=$(prefix) INSTALL_MODE=Debug PACKAGE_NAME=$(PACKAGE_NAME) libs

## xalan 1.10

=== c/Projects/Win32/Makefile ===
--- 
+++ 
@@ -52,12 +52,7 @@
 BUILD_DEBUG=build_debug
 !ENDIF
 
-!IF "$(PROJECT_NAME)"=="xalan-c"
 MSGLIB_PREFIX=XalanMessages
-!ELSE
-MSGLIB_PREFIX=xslt4cMessages
-!ENDIF
-
 
 !IF "$(PROJECT_NAME)"!="xalan-c" 
 ICUTARGET=icu
@@ -116,7 +111,6 @@
                   $(XSL_BIN_DEST)\bin\UseStylesheetParam.exe \
                   $(XSL_BIN_DEST)\bin\XalanTransform.exe \
                   $(XSL_BIN_DEST)\bin\XalanTransformerCallback.exe \
-                  $(XSL_BIN_DEST)\bin\XPathWrapper.exe \
 				  $(XSL_BIN_DEST)\bin\ThreadSafe.exe \
 				  $(XSL_BIN_DEST)\bin\Xalan.exe
 
@@ -135,7 +129,6 @@
 				$(XSL_BIN_DEST)\samples\UseStylesheetParam 		\
 				$(XSL_BIN_DEST)\samples\XalanTransform 			\
 				$(XSL_BIN_DEST)\samples\XalanTransformerCallback \
-				$(XSL_BIN_DEST)\samples\XPathWrapper 			\
 				$(XSL_BIN_DEST)\samples\ThreadSafe 							
 
 SAMPLE_PROJ= $(XSL_BIN_DEST)\samples\Projects
@@ -177,7 +170,8 @@
 	$(COPY) $(XALANCROOT)\src\xalanc\XPath\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPath
 	$(COPY) $(XALANCROOT)\src\xalanc\XPathCAPI\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPathCAPI
 	$(COPY) $(XALANCROOT)\src\xalanc\XSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XSLT
-		
+	$(COPY) $(BIN_SRC_DIR)\Nls\Include\LocalMsgIndex.hpp $(XSL_BIN_DEST)\include\xalanc\PlatformSupport
+			
 icu:
 	$(COPY) $(ICULIB_DLL) $(XSL_BIN_DEST)\bin
 
@@ -216,5 +210,5 @@
 
 	
 build_debug:
-	$(MAKE) XALANCROOT=$(XALANCROOT) prefix=$(prefix) INSTALL_MODE=Debug PACKAGE_NAME=$(PACKAGE_NAME) libs
-
+	$(MAKE) XALANCROOT=$(XALANCROOT) prefix=$(prefix) INSTALL_MODE=Debug PACKAGE_NAME=$(PACKAGE_NAME) libs COPY="$(COPY)" IDE_VER=$(IDE_VER)
+

=== debian/changelog ===
xalan (1.10-6) unstable; urgency=low

  * QA upload.
  * Disable building in parallel; upstream makefile is not parallel-safe after
    all.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 10 Nov 2011 11:27:38 +0100

xalan (1.10-5) unstable; urgency=low

  * QA upload.
  * Add ${misc:Depends}.
  * Add build-arch and build-indep targets.
  * Move doxygen to Build-Depends-Indep. Build documentation only if it's
    installed.
  * Remove duplicate Section field from debian/control.
  * Bump standards version to 3.9.2 (no changes needed).
  * Bump debhelper compatiblity level to 8.
    + Update Build-Depends.
    + Use dh_prep instead of dh_clean -k.
  * Convert to source format 3.0 (quilt).
    + Add debian/source/format.
    + Split monolithic *.diff.gz into separate patches.
    + Undo the following changes that are no longer needed:
      - use of xalan-config.h;
      - changes related to mod_xslt;
      - files from 1.8 upstream tarball that are no longer present in 1.10
        upstream tarball.
  * Update config.{guess,sub} unconditionally. Actually remove them in the
    clean target.
  * Bump shlibs to >= 1.10-3.3 (closes: #482174). Thanks to Tommi Vainikainen
    and Michael Meskes for the bug report.
  * Improve debian/rules:
    + Remove commented-out commands.
    + Use $(CURDIR) instead of $(shell pwd) in debian/rules.
    + Pass CFLAGS, CXXFLAGS, CPPFLAGS and LDFLAGS (acquired from
      dpkg-buildflags) to the configure script.
    + Pass --build (and --host if cross-compiling) to the configure script.
    + Pass -a to most dh_* commands is binary-arch.
    + Add support for DEB_BUILD_OPTIONS=noopt.
    + Add support for DEB_BUILD_OPTIONS=parallel=n.
    + Remove unused variables.
  * Remove obsolete Conflicts/Replaces.
  * Multi-archify:
    + Bump minimum required version of dpkg-dev to 1.16.
    + Bump minimum required version of debhelper to 8.1.3.
    + Make xalan ‘Multi-Arch: foreign’.
    + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
      /usr/lib.
    + Make libxalan110 and libxalan110-dev ‘Multi-Arch: same’.
    + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libxalan110.
  * Fix FTBFS with ld --as-needed (closes: #641289). Thanks to Matthias Klose
    for the bug report and the patch.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 10 Nov 2011 00:58:47 +0100

xalan (1.10-4) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Add ${misc:Depends}.
  * Replace deprecated ${Source-Version} with ${binary:Version}.
  * Add watch file.
  * Add Homepage.
  * Remove full Apache license text from debian/copyright.
  * Actually install man page.
  * Copy in config.{guess,sub} on configure, rm them on clean.
    + Add autotools-dev build-dep.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 02 Feb 2009 21:02:06 -0500

xalan (1.10-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Change build dependency from libxerces27-dev to libxerces-c2-dev
    (closes: #479194)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 09 May 2008 18:37:51 -0400

xalan (1.10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #454820).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:25:52 +0000

xalan (1.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on libapache-dev and drop libapache-mod-xslt.
    Closes: #429653

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 21 Jul 2007 09:10:09 +0000

xalan (1.10-3) unstable; urgency=low

  * Copy generated file LocalMsgIndex into development package
    (closes: #355735)

 -- Berin Lautenbach <berin@debian.org>  Sat, 11 Mar 2006 11:09:00 +1100

xalan (1.10-2) unstable; urgency=low

  * Add patch for building under GNU/kFreeBSD from
    Petr Salinger (closes: #347196)
  * Update man pages to reflect changes in xalan executable parameters
  * Add patch provided by Eugeniy Meshcheryakov to correctly handle
    atan2 EXSLT function (closes: bug#351603)

 -- Berin Lautenbach <berin@debian.org>  Mon,  6 Feb 2006 21:08:00 +1100

xalan (1.10-1) unstable; urgency=low

  * New upstream release (closes: #315081)
  * Built against new g++ 4 (closes: bug#339279)
  * Linked to Xerces 2.7 (closes: bug#339396)

 -- Berin Lautenbach <berin@debian.org>  Sat,  7 Jan 2006 12:22:28 +1100

xalan (1.8-5) unstable; urgency=low

  * Build with g++ 4 (closes: bug#324178)
  * Build against Xerces 2.5c2 (g++ 4.0 version of Xerces with ICU)
  * Update xerces version dependency to reflect c2 version
  * Mark as conflictint with libapache-modxslt
	
 -- Berin Lautenbach <berin@debian.org>  Sun, 21 Aug 2005 17:03:00 +1000

xalan (1.8-4) unstable; urgency=low

  * Ensure builds with g++ 3.4 (closes: bug#276610)
	
 -- Berin Lautenbach <berin@debian.org>  Sat, 16 Oct 2004 20:00:00 +1000

xalan (1.8-3) unstable; urgency=low

  * Update doc-base file for version 1.8 (closes: bug#261628)
	
 -- Berin Lautenbach <berin@debian.org>  Wed, 28 Jul 2004 08:15:00 +1000

xalan (1.8-2) unstable; urgency=low

  * Fix typo in man page (closes: bug#253145)
  * Move dependency on Xerces to 2.5.0-2 as 2.5.0-1 has a bug that
    breaks builds on alpha and powerpc platforms
	
 -- Berin Lautenbach <berin@debian.org>  Tue,  6 Jul 2004 10:03:00 +1000

xalan (1.8-1) unstable; urgency=low

  * New upstream release
  * Update to use Xerces 2.5 (rather than 2.3)
  * Update copyright to include ASL 2.0 and removed ASL 1.1
	
 -- Berin Lautenbach <berin@debian.org>  Sat, 29 May 2004 11:29:18 +1000

xalan (1.6-3) unstable; urgency=low

  * Pass correct library flags to apxs for mod_xslt build (closes: bug#241363)
  * Fix section for -dev (devel should be libdevel)

 -- Berin Lautenbach <berin@debian.org>  Fri,  3 Apr 2004 13:30:00 +1000

xalan (1.6-2) unstable; urgency=low

  * Removed unnecessary dependencies from Build-Depends
  * Cleaned up descriptions of packages


=== debian/control ===
Source: xalan
Priority: extra
Section: text
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.1.3~), dpkg-dev (>= 1.16), autotools-dev, libxerces-c2-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.2
Homepage: http://xml.apache.org/xalan-c/index.html

Package: libxalan110
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides XSLT support for applications
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package provides the runtime library.

Package: libxalan110-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libxalan110 (= ${binary:Version}), libxerces-c2-dev, libc6-dev
Description: Provides XSLT support for applications [development]
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package includes the files needed to compile XSLT supporting 
 applications.

Package: libxalan110-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libxalan110-dev
Description: Provides XSLT support for applications [development docs]
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package contains the API documentation and programming reference.

Package: xalan
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XSLT processor
 This is the Xalan XSLT processor from the Apache Software Foundation.
 .
 This package provides a command line utility to process XML files 
 using an XSLT stylesheet

=== debian/rules ===
#!/usr/bin/make -f

libpkgver = 110
shlibminor = 110.0
shlibmajor = 110

deb-shlibs-version = 1.10-3.3

pkglib = libxalan$(libpkgver)
pkglib-dev = libxalan$(libpkgver)-dev
pkglib-doc = libxalan$(libpkgver)-doc

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(filter noopt,$(DEB_BUILD_OPTIONS)),)
  debugflags = -DNDEBUG
endif
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags = --build $(DEB_HOST_GNU_TYPE)
else
  confflags = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
confflags += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(debugflags)"
confflags += CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(debugflags)"
confflags += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

X=c

# build, build-arch, build-indep
# ==============================

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp -f /usr/share/misc/config.sub c/config.sub
	cp -f /usr/share/misc/config.guess c/config.guess
	cd $(X) && ./configure \
		$(confflags) \
		--prefix=/usr \
		LIBS=" -lpthread" \
		BITSTOBUILD=32 \
		XALAN_LOCALE_SYSTEM="inmem" \
		XALAN_LOCALE="en_US"
	touch configure-stamp

build-stamp: configure-stamp
	dh_testdir
	XALANCROOT=$(CURDIR)/$(X) $(MAKE) -C $(X)
	rm -f $(X)/bin/xalan
	mv $(X)/bin/testXSLT $(X)/bin/xalan
	touch $(@)

docs-stamp:
	dh_testdir
ifneq ($(wildcard /usr/bin/doxygen),)
	mkdir -p $(X)/build/docs/html/apiDocs
	( cd $(X)/xdocs && doxygen DoxyfileXalan )
	touch $(@)
endif

build-arch: build-stamp
build-indep: docs-stamp
build: build-arch build-indep

# clean
# =====

clean:
	dh_testdir
	dh_testroot
	rm -f $(X)/config.cache \
		$(X)/config.log $(X)/config.status\
		$(X)/src/xalanc/Include/xalan-config.h \
		$(X)/src/xalanc/Makefile $(X)/Makefile \
        $(X)/Tests/Makefile $(X)/samples/Makefile \
        $(X)/src/xalanc/Utils/Makefile \
        $(X)/src/xalanc/Utils/MsgCreator/Makefile \
        $(X)/src/xalanc/Utils/XalanMsgLib/Makefile \
        $(X)/Makefile.incl $(X)/samples/mod_xslt.o
	rm -f $(X)/src/xalanc/mod_xslt.o $(X)/lib/mod_xslt.so
	rm -rf $(X)/autom4te.cache
	rm -rf $(X)/obj
	rm -rf $(X)/nls
	rm -rf $(X)/bin
	rm -rf $(X)/build
	rm -rf $(X)/lib
	dh_clean

# binary, binary-arch, binary-indep
# =================================

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -p$(pkglib) -p$(pkglib-dev) usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_installdirs -p$(pkglib-dev) usr/include
	dh_installdirs -pxalan usr/bin
	dh_install -p$(pkglib) $(X)/lib/libxalan-c.so.$(shlibmajor) $(X)/lib/libxalan-c.so.$(shlibminor) usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkglib) $(X)/lib/libxalanMsg.so.$(shlibmajor) $(X)/lib/libxalanMsg.so.$(shlibminor) usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkglib-dev) $(X)/lib/libxalan-c.so usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkglib-dev) $(X)/lib/libxalanMsg.so usr/lib/$(DEB_HOST_MULTIARCH)
	(cd $(X)/src ; tar cf - $$(find . -regex '.*\.\(h\|hpp\)' ) ) | ( cd debian/$(pkglib-dev)/usr/include ; tar xf - )
	cp $(X)/nls/include/LocalMsg*.hpp debian/$(pkglib-dev)/usr/include/xalanc/PlatformSupport
	dh_install -pxalan $(X)/bin/xalan usr/bin

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_installdocs -p$(pkglib-doc) $(X)/build/docs/apiDocs
	dh_installdocs -p$(pkglib-doc) -n -XCVS $(X)/xdocs/html/apiDocs
	cp debian/apiDocs.README debian/$(pkglib-doc)/usr/share/doc/$(pkglib-doc)/README
	dh_installexamples -p$(pkglib-doc) -XCVS -Xmod_xslt.o $(X)/samples/*
	dh_installchangelogs -p$(pkglib-doc)
	dh_compress -p$(pkglib-doc) -Xhtml
	dh_fixperms -p$(pkglib-doc)
	chmod 644 debian/$(pkglib-doc)/usr/share/doc/$(pkglib-doc)/examples/configure.in
	dh_installdeb -p$(pkglib-doc)
	dh_gencontrol -p$(pkglib-doc)
	dh_md5sums -p$(pkglib-doc)
	dh_builddeb -p$(pkglib-doc)

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installman -pxalan debian/xalan.1
	dh_installinfo -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V '$(pkglib) (>= $(deb-shlibs-version))'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts="uversionmangle=s/_/\./g" \
http://www.hightechimpact.com/Apache/xml/xalan-c/Xalan-C_([\d_]+)-src\.tar\.gz

## xalan 1.11

=== debian/changelog ===
xalan (1.11-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:50 +0100

xalan (1.11-9) unstable; urgency=medium

  * Add patch from Andreas Beckmann for building on Hurd (Closes: 884037)
  * Update standards-version to 4.2.1 (no changes)
  * Add gbp.conf
  * Update VCS URLs
  * Update maintainer email

 -- William Blough <bblough@debian.org>  Wed, 05 Dec 2018 11:31:57 -0500

xalan (1.11-8) unstable; urgency=medium

  * Move examples back to -doc package, fixing an unintented change
    in the previous package.

 -- William Blough <devel@blough.us>  Mon, 07 May 2018 22:17:20 -0400

xalan (1.11-7) unstable; urgency=medium

  * Add makefile dependencies to fix parallel builds. Closes: #849344
  * Upgrade to dh compat 11
  * Update to standards version 4.1.4
    - Update copyright format link to use https
  * Lintian fixes
    - Remove trailing whitespace from changelog
    - Switch d/watch to use https
    - Fix NOTICE file issues
    - Remove unused override

 -- William Blough <devel@blough.us>  Thu, 03 May 2018 00:59:32 -0400

xalan (1.11-6) unstable; urgency=medium

  * Update makefiles to honor CPPFLAGS
  * Remove lintian override for hardening flags
  * Update standards version to 3.9.8 (no changes)
  * Remove autotools-dev dependency due to using dh-autoreconf
  * Add bindnow hardening flag
  * Add lintian override for doxygen's copy of jquery
  * Build in release mode instead of debug mode.  This works around
    the assertion error reported in bug 783173.
  * Remove and symlink duplicate files in examples (lintian fix)

 -- William Blough <devel@blough.us>  Tue, 20 Dec 2016 03:23:16 -0500

xalan (1.11-5) unstable; urgency=low

  * Remove symbol control file due to problems with non amd64 builds.

 -- William Blough <devel@blough.us>  Mon, 20 Oct 2014 04:35:21 -0400

xalan (1.11-4) unstable; urgency=low

  * Apply upstream patch to fix segfault in xalan (testXSLT).
    Closes: #718303
  * Update Standards-Version to 3.9.6 (no changes needed)
  * Update compat to 9 and simplify debian/rules
  * Add symbol control file, pgp signature for tarball verification
  * Update debian/copyright to dep5
  * Remove unnecessary lintian override
  * Add lintian override for false positive

 -- William Blough <devel@blough.us>  Thu, 16 Oct 2014 23:10:27 -0400

xalan (1.11-3) unstable; urgency=low

  * Reworked fix-ftbfs-ld-as-needed patch to remove warning. Closes: #718605

 -- William Blough <devel@blough.us>  Fri, 02 Aug 2013 21:57:03 -0400

xalan (1.11-2) unstable; urgency=low

  * Include Xalan executable in package, in addition to the existing
    xalan (TestXSLT) executable, closes: #329639
  * Add man page for Xalan executable

  * Fix incorrect suggest in debian/control
  * Add copyright info for install-sh in debian/copyright
  * Add copyright info to xalan man page

  * Fix install conflicts due to package rename,
  * Adjust doc-base path for -doc package,
  * add Conflicts to debian/control for -dev package
  * closes: 716941

  * Add lintian override for typo false positive
  * Add additional description text for -doc package in debian/control

 -- William Blough <devel@blough.us>  Wed, 17 Jul 2013 15:14:37 -0400

xalan (1.11-1) unstable; urgency=low

  * New maintainer, closes: #503562
  * Add VCS URLs
  * Update Homepage URL
  * Update Standards-Version to 3.9.4
  * Update debian/copyright
  * Update debian/watch

  * New upstream release
  * Update SONAME and package name to reflect new version.
  * Update Xerces dependency from version 2.x to 3.x
  * Adjust doc install due to upstream changes
  * Update patch for doxygen-disable-dot to apply to new version
  * Update patch for 641289 (FTBFS with ld) to apply to new version
  * Update patch for 347196 (kFreeBSD support) to apply to new version
  * Remove patch for 454820 (FTBFS, missing includes) - changes applied
        upstream
  * Remove patch for 351603 (atan2 in EXSLT) - changes applied upstream
  * Remove patch for 85690 (printWriter wchar_t) - upstream code
        changes should eliminate issue

  * Always regenerate configure when building package
  * Fix lintian complaints about hypens in the man page
  * Change package names to comply with policy
  * Rewrite package descriptions
  * Remove versions from -doc and -dev package names
  * Fix typo errors in README


 -- William Blough <devel@blough.us>  Sun, 16 Jun 2013 13:54:33 -0400

=== debian/control ===
Source: xalan
Priority: optional
Section: text
Maintainer: William Blough <bblough@debian.org>
Build-Depends: debhelper (>= 11),
               dh-exec (>= 0.3),
               dpkg-dev (>= 1.16),
               libxerces-c-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.2.1
Homepage: https://xalan.apache.org/xalan-c/
Vcs-Browser: https://salsa.debian.org/bblough/xalan
Vcs-Git: https://salsa.debian.org/bblough/xalan.git

Package: libxalan-c111
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XSLT processor library for C++
 This package provides the runtime library for Xalan, the XSLT processor
 from the Apache Software Foundation.  This library provides support for
 applications to transform XML documents to other formats using XSLT
 templates.

Package: libxalan-c-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libxalan-c111 (= ${binary:Version}),
         libxerces-c-dev,
         ${misc:Depends}
Replaces: libxalan110-dev
Conflicts: libxalan110-dev
Description: XSLT processor library for C++ [development]
 This package provides development headers needed to develop applications
 that use the Xalan XSLT processing library from the Apache Software
 Foundation.

Package: libxalan-c-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libxalan-c-dev
Description: XSLT processor library for C++ [development docs]
 This package contains the API documentation and programming reference
 .
 Users of applications that rely on Xalan will not need to install this,
 however developers of applications that rely on Xalan may find this
 package helpful.

Package: xalan
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XSLT processor utility
 This package provides a command line utility to transform XML documents
 to other formats using XSLT templates.  It uses the Xalan XSLT processing
 library from the Apache Software Foundation.

=== debian/rules ===
#!/usr/bin/make -f

export XALANCROOT=$(CURDIR)/c
export XALAN_LOCALE_SYSTEM=inmem
export XALAN_LOCALE=en_US

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#build in release mode, not debug mode
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG


%:
	dh $@ --sourcedirectory=$(XALANCROOT)

override_dh_auto_build-indep:
	mkdir -p $(XALANCROOT)/build/docs/apiDocs/html
	( cd $(XALANCROOT)/xdocs && doxygen DoxyfileXalan )
	cp $(XALANCROOT)/xdocs/html/apiDocs/asf_logo_wide.gif $(XALANCROOT)/build/docs/apiDocs/html/

override_dh_installexamples:
	chmod 644 $(XALANCROOT)/samples/configure.in
	dh_installexamples --doc-main-package=libxalan-c-doc -plibxalan-c-doc -XCVS -Xmod_xslt.o -XProjects/Win32 \
		-XTraceListen/birds.xml -XTraceListen/birds.xsl -XTransformToXercesDOM/birds.xml \
		-XSimpleTransform/foo.xml -XSimpleTransform/foo.xsl -XXalanTransformerCallback/foo.xsl \
		-XXalanTransformerCallback/foo.xml -XXPathWrapper/foo.xml $(XALANCROOT)/samples/*

override_dh_installdocs:
	dh_installdocs -A c/NOTICE

override_dh_clean:
	dh_clean
	rm -rf $(XALANCROOT)/build

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.apache.org/dist/xalan/xalan-c/sources/xalan_c-(\d.*)-src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
